# DataExchange
TKSTEPBase
StepGeom

# StepGeom_GeometricRepresentationContextAndParametricRepresentationContext Class Reference

`#include <StepGeom_GeometricRepresentationContextAndParametricRepresentationContext.hxx>`

Inheritance diagram for StepGeom_GeometricRepresentationContextAndParametricRepresentationContext:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_GeometricRepresentationContextAndParametricRepresentationContext ()
| empty constructor
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aContextIdentifier, const Handle(TCollection_HAsciiString)&aContextType)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aContextIdentifier, const Handle(TCollection_HAsciiString)&aContextType, const Handle(StepGeom_GeometricRepresentationContext)&aGeometricRepresentationContext, const Handle(StepRepr_ParametricRepresentationContext)&aParametricRepresentationContext)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aContextIdentifier, const Handle(TCollection_HAsciiString)&aContextType, const Standard_Integer aCoordinateSpaceDimension)
Standard_EXPORT void | SetGeometricRepresentationContext (const Handle(StepGeom_GeometricRepresentationContext)&aGeometricRepresentationContext)
Standard_EXPORT Handle_StepGeom_GeometricRepresentationContext | GeometricRepresentationContext () const
Standard_EXPORT void | SetParametricRepresentationContext (const Handle(StepRepr_ParametricRepresentationContext)&aParametricRepresentationContext)
Standard_EXPORT Handle_StepRepr_ParametricRepresentationContext | ParametricRepresentationContext () const
Standard_EXPORT void | SetCoordinateSpaceDimension (const Standard_Integer aCoordinateSpaceDimension)
Standard_EXPORT Standard_Integer | CoordinateSpaceDimension () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_GeometricRepresentationContext | geometricRepresentationContext
Handle_StepRepr_ParametricRepresentationContext | parametricRepresentationContext

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_GeometricRepresentationContextAndParametricRepresentationContext::StepGeom_GeometricRepresentationContextAndParametricRepresentationContext | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepGeom_GeometricRepresentationContextAndParametricRepresentationContext::CoordinateSpaceDimension | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_GeometricRepresentationContext StepGeom_GeometricRepresentationContextAndParametricRepresentationContext::GeometricRepresentationContext | ( |  | ) | const

Standard_EXPORT const StepGeom_GeometricRepresentationContextAndParametricRepresentationContext::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_RepresentationContext.

virtual Standard_EXPORT void StepGeom_GeometricRepresentationContextAndParametricRepresentationContext::Init | ( | const Handle(TCollection_HAsciiString)& | aContextIdentifier,
|  | const Handle(TCollection_HAsciiString)& | aContextType,
|  | const Standard_Integer | aCoordinateSpaceDimension
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_GeometricRepresentationContextAndParametricRepresentationContext::Init | ( | const Handle(TCollection_HAsciiString)& | aContextIdentifier,
|  | const Handle(TCollection_HAsciiString)& | aContextType,
|  | const Handle(StepGeom_GeometricRepresentationContext)& | aGeometricRepresentationContext,
|  | const Handle(StepRepr_ParametricRepresentationContext)& | aParametricRepresentationContext
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_GeometricRepresentationContextAndParametricRepresentationContext::Init | ( | const Handle(TCollection_HAsciiString)& | aContextIdentifier,
|  | const Handle(TCollection_HAsciiString)& | aContextType
| ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationContext.

Standard_EXPORT Handle_StepRepr_ParametricRepresentationContext StepGeom_GeometricRepresentationContextAndParametricRepresentationContext::ParametricRepresentationContext | ( |  | ) | const

Standard_EXPORT void StepGeom_GeometricRepresentationContextAndParametricRepresentationContext::SetCoordinateSpaceDimension | ( | const Standard_Integer | aCoordinateSpaceDimension | ) |

Standard_EXPORT void StepGeom_GeometricRepresentationContextAndParametricRepresentationContext::SetGeometricRepresentationContext | ( | const Handle(StepGeom_GeometricRepresentationContext)& | aGeometricRepresentationContext | ) |

Standard_EXPORT void StepGeom_GeometricRepresentationContextAndParametricRepresentationContext::SetParametricRepresentationContext | ( | const Handle(StepRepr_ParametricRepresentationContext)& | aParametricRepresentationContext | ) |

## Field Documentation

Handle_StepGeom_GeometricRepresentationContext StepGeom_GeometricRepresentationContextAndParametricRepresentationContext::geometricRepresentationContext `[private]`

Handle_StepRepr_ParametricRepresentationContext StepGeom_GeometricRepresentationContextAndParametricRepresentationContext::parametricRepresentationContext `[private]`

The documentation for this class was generated from the following file:

- StepGeom_GeometricRepresentationContextAndParametricRepresentationContext.hxx